apiVersion: 1

datasources:
  - name: Prometheus
    type: prometheus
    access: proxy
    url: http://prometheus:9090
    isDefault: true
    editable: true
    jsonData:
      httpMethod: POST
      queryTimeout: 60s
      timeInterval: 15s
    version: 1

  - name: Loki
    type: loki
    access: proxy
    url: http://loki:3100
    isDefault: false
    editable: true
    jsonData:
      maxLines: 1000
      timeout: 60s
    version: 1

  - name: Rustelo Health
    type: prometheus
    access: proxy
    url: http://app:3030/metrics/health
    isDefault: false
    editable: true
    jsonData:
      httpMethod: GET
      queryTimeout: 30s
      timeInterval: 30s
    version: 1
